### Method

# Gtk FileChooserset_current_folder

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_file_chooser_set_current_folder (
      GtkFileChooser* chooser,
      GFile* file,
      GError** error
    )

#### Description [src]

Sets the current folder for `chooser` from a `GFile`.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Parameters

`file`

  Type: `GFile`

  The `GFile` for the new folder.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the folder could be changed successfully, `FALSE` otherwise.